//
//  MasterViewController.swift
//  Passwortverwaltung
//
//  Created by Christian Bleske on 29.11.14.
//  Copyright (c) 2014 Christian Bleske. All rights reserved.
//

import UIKit
import CoreData

class MasterViewController: UITableViewController, NSFetchedResultsControllerDelegate {

    var managedObjectContext: NSManagedObjectContext? = nil
    var passworte = NSMutableArray()

//    override func awakeFromNib() {
//        super.awakeFromNib()
//    }

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        self.navigationItem.leftBarButtonItem = self.editButtonItem()

        //let addButton = UIBarButtonItem(barButtonSystemItem: .Add, target: self, action: "insertNewObject:")
        //self.navigationItem.rightBarButtonItem = addButton
        
        let pwd1 = Passwort()
        pwd1.name = "Passwort 1"
        pwd1.passwort = "ADJSFKSDK21d"
        pwd1.bemerkung = "Dies ist ein langer Test. Dies ist ein langer Test.Dies ist ein langer Test.Dies ist ein langer Test."

        let pwd2 = Passwort()
        pwd2.name = "Passwort 2"
        pwd2.passwort = "CVDGGVS3243e"
        pwd2.bemerkung = "Dies ist ein langer Test. Dies ist ein langer Test.Dies ist ein langer Test.Dies ist ein langer Test."

        let pwd3 = Passwort()
        pwd3.name = "Passwort 3"
        pwd3.passwort = "GHZFU4422F4"
        pwd3.bemerkung = "Dies ist ein langer Test. Dies ist ein langer Test.Dies ist ein langer Test.Dies ist ein langer Test."

        passworte.addObject(pwd1)
        passworte.addObject(pwd2)
        passworte.addObject(pwd3)
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Segues

    override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
        if segue.identifier == "showDetail" {
            if let indexPath = self.tableView.indexPathForSelectedRow {
                let pwd = passworte[indexPath.row] as! Passwort
                (segue.destinationViewController as! DetailViewController).detailItem = pwd
            }
        }
    }

    // MARK: - Table View

    override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        return 1
    }

    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return passworte.count
    }

    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCellWithIdentifier("Cell", forIndexPath: indexPath) as UITableViewCell
        
        let pwd = passworte[indexPath.row] as! Passwort
        cell.textLabel?.text = pwd.name
        return cell

    }

    override func tableView(tableView: UITableView, canEditRowAtIndexPath indexPath: NSIndexPath) -> Bool {

        return true
    }


}

