//
//  Generator.swift
//  Passwortverwaltung
//
//  Created by Christian Bleske on 29.11.14.
//  Copyright (c) 2014 Christian Bleske. All rights reserved.
//

import UIKit

class GeneratorViewController : UIViewController {
    
    let strCharacters = ["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","1","2","3","4","5","6","7","8","9,","0","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z"]
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        print(generatePwd(10, withCapOnly:true))
        print(generatePwd(10, withCapOnly:false))
       
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    
    func getRandomNumber(min: Int, max:Int) -> Int {
        return min + Int(arc4random_uniform(UInt32(max - min + 1)))
    }
    
    
    func generatePwd(leng : Int, withCapOnly : Bool) -> String {
        var result:String=""
        
        var stop=0
        
        if withCapOnly==true {
            stop=35
        } else {
            stop=60
        }
        
        for var x = 0; x <= leng; x++
        {
            let p = getRandomNumber(0, max: stop)
            result = result + strCharacters[p]
        }
        
        return result
    }
 
}